onionshare-cli(1)

NAME
onionshare - a tool for anonymously sharing and receiving files over a temporarily set up Tor Hidden service.

SYNOPSIS
onionshare-cli [ --receive ] [--website] [--chat] [ --connect-timeout SECONDS ] [--config FILENAME] [ --persistent FILENAME ] [--title TITLE] [--public] [ --auto-start-timer SECONDS ] [--auto-stop-timer SECONDS] [ --no-autostop-sharing ] [--data-dir data_dir] [ --webhook-url webhook_url ] [--disable-text] [ --disable-files ] [--disable_csp] [ --custom_csp custom_csp ] [ filename ... ]

DESCRIPTION

OnionShare lets you anonymously share files, or receive files. From version 2.2, OnionShare can also be used as a webserver through which static HTML files can be served. OnionShare has four different operating modes: the default for sharing files, receive mode for receiving files, public mode for sharing files with a large audience, and website mode.

When using OnionShare, a web server is started, making OnionShare accessible as a Tor Onion Service, over the Internet. An unguessable address is generated and can be shared for the recipient to open in a tor client, such as Tor Browser, to download, upload, or consult files. Traffic between their device and your onion service end-to-end encrypted. No separate server or third party file-sharing service required. You host the files on your own computer, acting as a server, for as long as the program is running.

OnionShare can be configured to run with it's built-in version of tor, a TorBrowser or system tor running in the background. By default, OnionShare uses its built-in version of Tor.

OnionShare's default behaviour is to shut down the hidden service and to stop once the files have been up or downloaded. You can prevent this behaviour by invoking the --no-autostop-sharing option. This can be useful if you want multiple people to access the same file.

Public mode In case of sharing the unguessable URL with many peers, please enable "Public mode", otherwise OnionShare might interpret multiple accesses as an attack and shut down the hidden service.

Receive Mode lets people upload files to your OnionShare via Tor Browser.

Website Mode allows you to publish a website as an onion service by sharing an entire path to a local directory. When the directory contains an index.html file (along with any static files such as images, CSS etc), then the site will be viewable on the Tor network as an onion service as the actual website itself (not as an OnionShare interface). The onion service will render HTML in Tor Browser just like any other website. If you don't have an index.html, OnionShare will show a directory listing of your files instead. In directory listing, each file can be opened, and there is no download button for the compressed archive. OnionShare does not share your original website files. Instead, it creates a copy of those files in a temporary folder and shares those copies.

Automatic start and stop The auto-start timer allows you to schedule a share to start at some time in the future.

For detailed and up-to-date information such as using OnionShare with bridges, refer to the authors' public documentation at https://github.com/micahflee/onionshare/wiki/

OPTIONS

-h, --help
    show this help message and exit

--receive
    Receive files

--website
    Publish website

--chat
    Start chat server

--local-only
    Don't use Tor (only for development)

--connect-timeout SECONDS
    Give up connecting to Tor after a given amount of seconds (default: 120)

--config FILENAME
    Filename of custom global settings

--persistent FILENAME
    Filename of persistent session

--title TITLE
    Set a title

--public
    Don't use a private key

--auto-start-timer SECONDS
    Start onion service at scheduled time (N seconds from now)

--auto-stop-timer SECONDS
    Stop onion service at schedule time (N seconds from now)

--no-autostop-sharing
    Share files: Continue sharing after files have been sent (default is to stop sharing)

--data-dir data_dir
    Receive files: Save files received to this directory

--webhook-url webhook_url
    Receive files: URL to receive webhook notifications

--disable-text
    Receive files: Disable receiving text messages

--disable-files
    Receive files: Disable receiving files

--disable_csp
    Publish website: Disable the default Content Security Policy header (allows your website to use third-party resources)

--custom_csp custom_csp
    Publish website: Set a custom Content Security Policy header

-v, --verbose
    Log OnionShare errors to stdout, and web errors to disk